package test;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import moneyobject.DigimonMoney;
import moneyobject.IMoney;
import moneyobject.PokemonMoney;

public class MoneyObjectTest {
	IMoney pok;
	IMoney dim;
	@Before
	public void setUp() throws Exception {
		pok = new PokemonMoney(23.0);
		dim = new DigimonMoney(32.0);
	}

	@Test
	public void testAddPokDim() {
		IMoney result = pok.addMoney(dim);
		assertEquals(result.getMoney(), 42.222,0.01);
	}
	
	@Test
	public void testAddDimPok(){
		IMoney result = dim.addMoney(pok);
		assertEquals(result.getMoney(), 68.12,0.01);
	}
	
	@Test
	public void testAddDimDim(){
		IMoney result = dim.addMoney(dim);
		assertEquals(result.getMoney(), 64.0,0.01);
	}
	
	@Test
	public void testAddPokPok(){
		IMoney result = pok.addMoney(pok);
		assertEquals(result.getMoney(), 46.0,0.01);
	}
	

}
